Skip to main content
POST
/
accounting
/
creditNotes
cURL
curl --request POST \
  --url https://api.maesn.dev/accounting/creditNotes \
  --header 'Content-Type: application/json' \
  --header 'X-ACCOUNT-KEY: <x-account-key>' \
  --header 'X-API-KEY: <x-api-key>' \
  --data '
{
  "addresses": [
    {
      "addressLine1": "Main street 45",
      "addressLine2": "2nd floor",
      "city": "Berlin",
      "countryCode": "DE",
      "postalCode": "10243",
      "type": "BILLING"
    }
  ],
  "contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
  "creditNoteDate": "2025-01-01T00:00:00Z",
  "creditNoteLines": [
    {
      "id": "9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
      "description": "SEOUL Guest Chair, red",
      "itemId": "4271",
      "itemName": "RED CHAIR",
      "quantity": 1,
      "taxCode": "TAX19",
      "taxRatePercentage": 19,
      "totalDiscountAmount": 10,
      "totalDiscountPercentage": 10,
      "totalGrossAmount": 109,
      "totalNetAmount": 100,
      "totalTaxAmount": 19,
      "unitAmount": 100,
      "unitDiscountAmount": 10,
      "unitDiscountPercentage": 10,
      "unitName": "PIECE"
    }
  ],
  "creditNoteNumber": "PRES1000",
  "currency": "EUR",
  "paymentStatus": "PENDING",
  "paymentTermId": "21",
  "reference": "RCXF197253F",
  "status": "DRAFT",
  "taxRule": "NET",
  "totalDiscountAmount": 10,
  "totalDiscountPercentage": 10,
  "totalGrossAmount": 109,
  "totalNetAmount": 100,
  "totalTaxAmount": 19
}
'
{
  "meta": {
    "warnings": [
      "Field not used by target system"
    ],
    "pagination": {
      "total": 125,
      "perPage": 50,
      "currentPage": 1,
      "totalPages": 3
    }
  },
  "data": {
    "id": "987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o",
    "addresses": [
      {
        "addressLine1": "Main street 45",
        "addressLine2": "2nd floor",
        "city": "Berlin",
        "countryCode": "DE",
        "postalCode": "10243",
        "type": "BILLING"
      }
    ],
    "contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
    "createdDate": "2025-01-01T00:00:00Z",
    "creditNoteDate": "2025-01-01T00:00:00Z",
    "creditNoteLines": [
      {
        "id": "9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
        "createdDate": "2025-01-01T00:00:00Z",
        "description": "SEOUL Guest Chair, red",
        "itemId": "4271",
        "itemName": "RED CHAIR",
        "quantity": 1,
        "taxCode": "TAX19",
        "taxRatePercentage": 19,
        "totalDiscountAmount": 10,
        "totalDiscountPercentage": 10,
        "totalGrossAmount": 109,
        "totalNetAmount": 100,
        "totalTaxAmount": 19,
        "type": "SERVICE_ITEM",
        "unitAmount": 100,
        "unitDiscountAmount": 10,
        "unitDiscountPercentage": 10,
        "unitName": "PIECE",
        "updatedDate": "2025-01-01T00:00:00Z"
      }
    ],
    "creditNoteNumber": "PRES1000",
    "currency": "EUR",
    "paymentStatus": "PENDING",
    "paymentTermId": "21",
    "reference": "RCXF197253F",
    "status": "DRAFT",
    "taxRule": "NET",
    "totalDiscountAmount": 10,
    "totalDiscountPercentage": 10,
    "totalGrossAmount": 109,
    "totalNetAmount": 100,
    "totalTaxAmount": 19,
    "updatedDate": "2025-01-01T00:00:00Z"
  }
}

Field support per integration

Supported Request Parameters:
contactId
string
required
creditNoteDate
string
required
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
creditNoteLines
LineItem[]
required
currency
enum
required
Available options (3-letter ISO 4217): EUR
taxRule
enum
required
Determines whether unitAmount is net or gross. For NET, TAXFREE, and most options, unitAmount is net. For GROSS, unitAmount is gross.Available options: NET, TAXFREE, INTRACOMMUNITY_GOODS, INTRACOMMUNITY_SERVICE, EXPORT_SERVICE, EXPORT_GOODS, GROSS, CONSTRUCTION_SERVICE

Headers

X-API-KEY
string
required

API key

X-ACCOUNT-KEY
string
required

Account key

Query Parameters

companyId
string
environmentName
string

Body

application/json
addresses
object[]
contactId
string
Example:

"eaa28f49-6028-4b6e-bb12-d8f6278073fc"

creditNoteDate
string
Example:

"2025-01-01T00:00:00Z"

creditNoteLines
object[]
creditNoteNumber
string
Example:

"PRES1000"

currency
string
Example:

"EUR"

paymentStatus
enum<string>
Available options:
NO_OPEN_ITEM,
PENDING,
PAID,
PARTLY_PAID,
CANCELED,
PARTIAL_CANCELLATION,
BAD_DEBT,
DEBITED,
CREDIT_NOTE_CLEARED,
UNKNOWN
Example:

"PENDING"

paymentTermId
string
Example:

"21"

reference
string
Example:

"RCXF197253F"

status
enum<string>
Available options:
DRAFT,
CORRECTIVE,
SUBMITTED,
DOCUMENT_CREATED,
OPEN,
PARTIALLY_PAID,
PAID,
PARTIALLY_OVERDUE,
OVERDUE,
VOIDED
Example:

"DRAFT"

taxRule
enum<string>
Available options:
NET,
TAXFREE,
INTRACOMMUNITY_GOODS,
INTRACOMMUNITY_SERVICE,
EXPORT_SERVICE,
EXPORT_GOODS,
REVERSE_CHARGE,
GROSS,
CONSTRUCTION_SERVICE,
PHOTOVOLTAIC_EQUIPMENT,
SMALL_BUSINESS_EXEMPTION,
NON_DOMESTIC_SERVICE,
OSS_GOODS,
OSS_ELECTRONIC_SERVICES,
OSS_SERVICES
Example:

"NET"

totalDiscountAmount
number
Example:

10

totalDiscountPercentage
number
Example:

10

totalGrossAmount
number
Example:

109

totalNetAmount
number
Example:

100

totalTaxAmount
number
Example:

19

Response

201 - application/json
meta
object
data
object
Last modified on June 17, 2026